# weather-streamoverlay

## Requirements

- raspberry pi
- sensor hub for raspberry pi
- nodejs

## Install / Config

### Config
Copy `config/config.example.js` to `config/config.js` and edit the file.
API key and City name from : https://openweathermap.org/

### Install dependencies
```
npm install
```

## Run

```
node index.js
```

## Useage
Navigate in your browser to `http://<ip>:8989` or add a Browser source with the url in your streaming software like obs or so.
The webclient will get every 10 seconds data from the webserver, every 30 sec it will change from temperature to humidity and back. The outside weather data is cached and will be requested every 10 min, while the insidetemp is almost live data, cause of the 10 secods which I mentioned earlier. 

# IMG

i = inside -  o = outside

temperature
![./img/1.png](./img/1.png)
humidity
![./img/2.png](./img/2.png)